#3 Bug fix for teem with png-1.4.2 and 1.5

closed-fixed
nobody
None
5
2011-08-22
2010-06-19
No

teem doesn't build against png-1.4.2. The attached patch fixes the problem according to the official instructions from http://www.libpng.org/pub/png/src/libpng-1.2.x-to-1.4.x-summary.txt. Please include it.

Discussion

  • Thomas Klausner

    Thomas Klausner - 2011-08-05

    Patch fixing the problem for png-1.5 as well.

     
  • Thomas Klausner

    Thomas Klausner - 2011-08-05

    png-1.5 introduced more changes; the attached patch deals with them.

    No reaction to my previous bug reports makes me wonder about the biological state of the project...

     
  • Thomas Klausner

    Thomas Klausner - 2011-08-05
    • summary: Bug fix for teem with png-1.4.2 --> Bug fix for teem with png-1.4.2 and 1.5
     
  • Gordon Kindlmann

    At least as revision 5073 Teem compiles and links with libpng version 1.5.4 without warning or error, and it seems these patches have been applied, or the underlying changes have been made by other means.

     
  • Gordon Kindlmann

    • status: open --> closed-fixed
     

Log in to post a comment.